LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04557Bug reports[All Projects] ComfortUpdatepublic2010-08-23 13:122012-02-06 14:34
Reporterc_schmitz 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.87+ 
Target VersionFixed in Version 
Summary04557: ComfortUpdate: Updating from 1.87+ not possible due to 'Out of memory' error.
DescriptionWhen updating from 1.87(+) an error is shown on step 3 of the upgrade.
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID0
Browser.
Database & DB-Version.
Operating System (Server).
Webserver software & version.
PHP Version.
Attached Files? file icon updater.php [^] (20,953 bytes) 2010-08-23 13:12

- Relationships
has duplicate 04658closedc_schmitz Comfort update reports a permissions problem on a few directories, but some of these do not exist 

-  Notes
User avatar (12680)
c_schmitz (administrator)
2010-08-23 13:12
edited on: 2011-10-08 22:29

Please update the file /admin/update/updater.php with the attached file to fix this issue.

User avatar (12712)
ronvdburg (reporter)
2010-08-25 17:50

I used the automatic update from 1.90+ (9046) to 1.90+ (9089).
I had to enable the proxy on the server. This I did by manually entering the proxy settings in
/var/www/html/bcpsurvey-190/admin/classes/http/http.php

Then, the update worked! I am astonished. Great work!

BTW, I am not sure whether changing http.php was the neatest thing to do. Why does /etc/profile.d/proxy.sh not work?

BTW2, I had to chose between
chown -R apache.apache <survey root dir>
and
chown -R a+w <survey root dir>
Any suggestion?
User avatar (12724)
paulearley (reporter)
2010-08-28 16:56

Second confirm. Replacing updater.php (above) eliminated the out of memory for me as well. Updated form 1.87+ to 1.90+
User avatar (12732)
hardzsi (reporter)
2010-09-01 12:49

3rd confirm: with replaced updater.php updating was successful from 1.87+ 8514 to 1.90+ 9089
User avatar (12733)
c_schmitz (administrator)
2010-09-01 14:27

Thank you ;)

- Issue History
Date Modified Username Field Change
2010-08-23 13:12 c_schmitz New Issue
2010-08-23 13:12 c_schmitz Status new => assigned
2010-08-23 13:12 c_schmitz Assigned To => c_schmitz
2010-08-23 13:12 c_schmitz File Added: updater.php
2010-08-23 13:12 c_schmitz Sticky Issue No => Yes
2010-08-23 13:12 c_schmitz Note Added: 12680
2010-08-23 13:13 c_schmitz Status assigned => resolved
2010-08-23 13:13 c_schmitz Resolution open => fixed
2010-08-23 13:17 c_schmitz Note Edited: 12680 View Revisions
2010-08-25 17:50 ronvdburg Note Added: 12712
2010-08-28 16:56 paulearley Note Added: 12724
2010-09-01 12:49 hardzsi Note Added: 12732
2010-09-01 14:27 c_schmitz Note Added: 12733
2010-09-01 14:28 c_schmitz Summary ComfortUpdate: Updateing from 1.87+ not possible due to 'Out of memory' error. => ComfortUpdate: Updating from 1.87+ not possible due to 'Out of memory' error.
2010-10-08 02:59 c_schmitz Relationship added has duplicate 04658
2010-11-10 17:18 c_schmitz Assigned To c_schmitz =>
2011-02-09 14:23 user12031 Note Added: 14101
2011-02-10 14:24 user12031 Note Added: 14131
2011-05-16 22:39 mot Note Added: 15039
2011-05-30 09:22 Nickko Note Added: 15166
2011-10-08 22:29 c_schmitz Note Edited: 12680 View Revisions
2011-10-08 22:29 c_schmitz Note Deleted: 15166
2011-10-08 22:29 c_schmitz Note Deleted: 15039
2011-10-08 22:29 c_schmitz Note Deleted: 14131
2011-10-08 22:29 c_schmitz Note Deleted: 14101
2012-02-06 14:33 c_schmitz Sticky Issue Yes => No
2012-02-06 14:34 c_schmitz Status resolved => closed
2012-02-06 14:34 c_schmitz Assigned To => c_schmitz


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker